digiKam Developer Documentation: Digikam::ImportView Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | List of all members
Digikam::ImportView Class Reference
Inheritance diagram for Digikam::ImportView:

## Public Slots
void | setZoomFactor (double zoom)
void | slotFitToWindow ()
void | slotIconView ()
void | slotImagePreview ()
void | slotImageRename ()
void | slotMapWidgetView ()
void | slotSelectAll ()
void | slotSelectInvert ()
void | slotSelectNone ()
void | slotSeparateImages (int mode)
void | slotSortImagesBy (int sortBy)
void | slotSortImagesOrder (int order)
void | slotZoomIn ()
| View Action slots.
void | slotZoomOut ()
void | slotZoomTo100Percents ()

## Signals
void | signalImageSelected (const CamItemInfoList &selectedImage, const CamItemInfoList &allImages)
void | signalNewSelection (bool hasSelection)
void | signalNoCurrentItem ()
void | signalSelectionChanged (int numberOfSelectedItems)
void | signalSwitchedToIconView ()
void | signalSwitchedToMapView ()
void | signalSwitchedToPreview ()
void | signalThumbSizeChanged (int)
void | signalZoomChanged (double)

## Public Member Functions
| ImportView (Digikam::ImportUI *const ui, QWidget *const parent)
QList< CamItemInfo > | allItems () const
QList< QUrl > | allUrls () const
void | applySettings ()
CamItemInfo | camItemInfo (const QString &folder, const QString &file) const
CamItemInfo & | camItemInfoRef (const QString &folder, const QString &file) const
void | clearHistory ()
int | downloadedCamItemInfos () const
void | getBackwardHistory (QStringList &titles)
void | getForwardHistory (QStringList &titles)
bool | hasCurrentItem () const
bool | hasImage (const CamItemInfo &info) const
void | hideSideBars ()
ImportFilterModel * | importFilterModel () const
bool | isSelected (const QUrl &url) const
void | refreshView ()
void | scrollTo (const QString &folder, const QString &file)
QList< CamItemInfo > | selectedCamItemInfos () const
QList< QUrl > | selectedUrls () const
void | setSelectedCamItemInfos (const CamItemInfoList &infos) const
void | setThumbSize (int size)
void | showSideBars ()
ThumbnailSize | thumbnailSize () const
void | toggleFullScreen (bool set)
void | toggleShowBar (bool b)
void | updateIconView ()
ImportStackedView::StackedViewMode | viewMode () const
double | zoomMax () const
double | zoomMin () const
Public Member Functions inherited from Digikam::DHBox
| DHBox (QWidget *const parent=nullptr)
QSize | minimumSizeHint () const override
void | setContentsMargins (const QMargins &margins)
void | setContentsMargins (int left, int top, int right, int bottom)
void | setSpacing (int space)
void | setStretchFactor (QWidget *const widget, int stretch)
QSize | sizeHint () const override

## Additional Inherited Members
Protected Member Functions inherited from Digikam::DHBox
| DHBox (bool vertical, QWidget *const parent)
void | childEvent (QChildEvent *e) override